View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007056CMakeCMakepublic2008-05-20 04:442010-12-22 02:07
ReporterNils Gladitz 
Assigned ToDavid Cole 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionwon't fix 
PlatformOSOS Version
Product VersionCMake-2-6 
Target VersionFixed in Version 
Summary0007056: CMake ATL support
DescriptionCmake supports MFC via CMAKE_MFC_FLAG which translates into a "UseOfMFC" entry in the generated visual studio project files.

It does not yet support ATL though which could probably be implemented the same way by adding a CMAKE_ATL_FLAG variable and generating "UseOfATL" in the visual studio project files.
TagsNo tags attached.
Attached Filespatch file icon cmake_atl_support.patch [^] (1,204 bytes) 2009-04-23 09:10 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
has duplicate 0011638closedKitware Robot ATL support 

-  Notes
(0013625)
Bryan O'Sullivan (reporter)
2008-09-30 17:03

This would be useful to have.
(0016154)
Guillaume Chevallereau (reporter)
2009-04-23 09:10

Here is a patch to add ATL support. It add a CMAKE_ATL_FLAG (which work the same way than the CMAKE_MFC_FLAG).
(0018835)
David Cole (manager)
2009-12-11 18:10

I don't think we should add this to CMake. It's too Windows-specific. (In retrospect, we probably should not have had CMAKE_MFC_FLAG in the first place...)

If anybody listening to this bug report feels strongly about it, then re-open it.

However, in addition to the patch that is already attached to this issue, we will need a test that's added to the CMake test suite that exercises the CMAKE_ATL_FLAG appropriately (with a real ATL project...)

I'm going to resolve this one as "Won't Fix"
(0024061)
David Cole (manager)
2010-12-14 18:49

Closing bugs that have been resolved for more than 3 months without any further updates.

- Issue History
Date Modified Username Field Change
2008-05-20 04:44 Nils Gladitz New Issue
2008-05-20 10:33 Bill Hoffman Status new => assigned
2008-05-20 10:33 Bill Hoffman Assigned To => David Cole
2008-09-30 17:03 Bryan O'Sullivan Note Added: 0013625
2009-04-23 09:10 Guillaume Chevallereau File Added: cmake_atl_support.patch
2009-04-23 09:10 Guillaume Chevallereau Note Added: 0016154
2009-12-11 18:10 David Cole Note Added: 0018835
2009-12-11 18:10 David Cole Status assigned => resolved
2009-12-11 18:10 David Cole Resolution open => won't fix
2010-12-14 18:49 David Cole Note Added: 0024061
2010-12-14 18:49 David Cole Status resolved => closed
2010-12-22 09:33 David Cole Relationship added has duplicate 0011638


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker